Telegram APIAccount
account.updateProfile
Updates user profile.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Updates user profile.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.updateProfile" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "userEmpty", "id": 0 }}updatePersonalChannel
Associate (or remove) a personal [channel »](https://core.telegram.org/api/channel), that will be listed on our personal [profile page »](https://core.telegram.org/api/profile#personal-channel). Changing it will emit an `RawUpdateUser` update.
updateStatus
Updates online user status.